td
  ng-container {{ workflow.name }}
td
  ryax-status-tag(*ngIf="isWorkflowStatusVisible", [label]="workflow.status | ryaxWorkflowStatusLabel", [color]="workflow.status | ryaxWorkflowStatusColor")
  ryax-status-tag(*ngIf="isWorkflowDeployStatusVisible", [label]="workflow.deploymentStatus | ryaxWorkflowDeploymentStatusLabel", [color]="workflow.deploymentStatus | ryaxWorkflowDeploymentStatusColor")
td
  p.mb0(nz-paragraph, nzEllipsis, [nzEllipsisRows]="2") {{ workflow.description | default: "-" }}
td
  ryax-confirm-button.mr1(ryaxClickPrevent, size="small", shape="circle", icon="play-circle", tooltipText="Deploy workflow", [disabled]="isDeployDisabled",
    confirmPlacement="bottomRight", confirmText="Are you sure to deploy this workflow ?", confirmOkText="Deploy", (confirmOk)="onDeployItem()")
  ryax-confirm-button.mr1(ryaxClickPrevent, size="small", shape="circle", icon="close-circle", tooltipText="Stop workflow", [disabled]="isStopDisabled",
    confirmPlacement="bottomRight", confirmText="Are you sure to stop this workflow ?", confirmOkText="Stop", (confirmOk)="onStopItem()")

  ryax-action-dropdown.mr1(ryaxClickPrevent, size="small", shape="circle", icon="file-done", (visibleChange)="onPortalDropdownVisibleChange($event)",
    [menu]="portalMenu", menuPlacement="bottomRight")
    nz-dropdown-menu(#portalMenu="nzDropdownMenu")
      ul(nz-menu)
        li(*ngIf="!hasWorkflowPortals", nz-menu-item, [nzDisabled]="true")
          span No portal available
        li(*ngFor="let item of workflowPortals", nz-menu-item)
          a(nz-button, [href]="'/app/execution/' + item.id + '/form'")
            i(nz-icon, nzType="eye")
            span {{ item | ryaxWorkflowPortalName }}

  ryax-action-dropdown(ryaxClickPrevent, size="small", shape="circle", icon="more",
    [menu]="actionMenu", menuPlacement="bottomRight")
    nz-dropdown-menu(#actionMenu="nzDropdownMenu")
      ul(nz-menu)
        li(nz-menu-item, (click)="onCopyItem()")
          i(nz-icon, nzType="copy")
          span Copy workflow
        li(nz-menu-item, (click)="onEditItem()", [nzDisabled]="isEditDisabled")
          i(nz-icon, nzType="edit")
          span Edit workflow
        li(nz-menu-item, (click)="onShowDeleteModal()", [nzDisabled]="isDeleteDisabled")
          i(nz-icon, nzType="delete", nzTheme="twotone", nzTwotoneColor="red")
          span Delete workflow
